Subject: Re: [PATCH] powerpc: fix fsl_soc build breaks

From: Vitaly Bordug <[email-masked]>
Date: Fri, 6 Oct 2006 06:35:40 +0400

On Thu, 5 Oct 2006 21:16:48 -0500
Olof Johansson wrote:

> Hrm, there's no way this ever built at time of merge. There's a
> missing } and the wrong type on phy_irq.
> 
> Also, another const for get_property().
> 
> 
>   CC      arch/powerpc/sysdev/fsl_soc.o
> arch/powerpc/sysdev/fsl_soc.c: In function 'fs_enet_of_init':
> arch/powerpc/sysdev/fsl_soc.c:625: error: assignment of read-only
> variable 'phy_irq' arch/powerpc/sysdev/fsl_soc.c:625: warning:
> assignment makes integer from pointer without a cast
> arch/powerpc/sysdev/fsl_soc.c:661: warning: assignment discards
> qualifiers from pointer target type
> arch/powerpc/sysdev/fsl_soc.c:684: error: subscripted value is
> neither array nor pointer arch/powerpc/sysdev/fsl_soc.c:687: error:
> subscripted value is neither array nor pointer
> arch/powerpc/sysdev/fsl_soc.c:722: warning: ISO C90 forbids mixed
> declarations and code arch/powerpc/sysdev/fsl_soc.c:728: error:
> invalid storage class for function 'cpm_uart_of_init'
> arch/powerpc/sysdev/fsl_soc.c:798: error: initializer element is not
> constant arch/powerpc/sysdev/fsl_soc.c:798: error: expected
> declaration or statement at end of input make[1]: ***
> [arch/powerpc/sysdev/fsl_soc.o] Error 1
> 
> 
> Signed-off-by: Olof Johansson <[email-masked]>
> 
> 
> ---
> 
> There are more issues with this file. Whitespace, if () {}; and other
> things. I'm just fixing the build breaks.
> 
> These were all introduced by patches fed upstream via git trees
> instead of list posts, as far as I can tell. Maybe posting patches is
> a better idea, more eyes on the code.
> 

All those were submitted in form of patches prior, and located issues addressed. I must mistype something with git-push,
so it didn't fed in very latest changes. Thanks for pointing it out and sorry for confusion.

--
Sincerely, Vitaly